com.genesyslab.wfm7.API.service.config712

## Interface WFMConfigService712Soap

- All Superinterfaces:
    java.rmi.Remote

      public interface WFMConfigService712Soap
      extends java.rmi.Remote

  The Configuration Service is one of many services provided by WFM Server. The purpose of this service is to provide unified and open interface for the access to all the Configuration and Policies data stored in WFM database. All the Configuration, Staff and Policies data from WFM database is represented by a number of Configuration Objects. Every object represents some logical entity and stores corresponding information from one ore more database tables.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeSnapshot(java.lang.String snapshotID)`
    `double` | `convertGMT2LocalTime(double GMTTime, int timezoneID)`
    `double` | `convertLocalTime(int timezoneID1, double localTime1, int timezoneID2)`
    `double` | `convertLocalTime2GMT(int timezoneID, double localTime)`
    `void` | `deleteCfgObject(int cfgObjectType, int siteID, int cfgObjectID)` Deletes Configuration Object
    `CfgAgentHolder` | `fetchAgentFromSnapshot(java.lang.String snapshotID, int firstIndex, int lastIndex, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgAgentHolder` | `fetchAgentFromSnapshotByTeam(java.lang.String snapshotID, int[] teamIDArray, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgContractHolder` | `fetchContractFromSnapshot(java.lang.String snapshotID, int firstIndex, int lastIndex, int infoType, boolean provideShiftInfo)`
    `CfgProfileHolder` | `fetchProfileFromSnapshot(java.lang.String snapshotID, int firstIndex, int lastIndex, int infoType, boolean provideActivities, boolean provideContractInfo)`
    `CfgTeamHolder` | `fetchTeamFromAgentSnapshot(java.lang.String snapshotID, int infoType, boolean provideAgentInfo)`
    `CfgTeamHolder` | `fetchTeamFromSnapshot(java.lang.String snapshotID, int firstIndex, int lastIndex, int infoType, boolean provideAgentInfo)`
    `int` | `findInSnapshot(java.lang.String snapshotID, int field, java.lang.String value, int startIndex)`
    `CfgAccrualRuleHolder` | `getAccrualRule(int siteID, int[] accrualRuleIDArray, int sortMode, boolean ascending, int infoType)` Retrieves Accrual Rule information (`CfgAccrualRule` or `CfgAccrualRuleShort`) for given Site
    `CfgActivityHolder` | `getActivity(int siteID, int[] activityIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivitySetInfo, boolean provideVirtualActivityInfo)` Rerieves Activity info (`CfgActivity` or `CfgActivityShort`) for given Site
    `CfgActivityHolder` | `getActivityByActivitySet(int siteID, int activitySetID, int sortMode, boolean ascending, int infoType, boolean provideActivitySetInfo, boolean provideVirtualActivityInfo)`
    `CfgActivityHolder` | `getActivityByAgent(int siteID, int agentID, int sortMode, boolean ascending, int infoType, boolean provideActivitySetInfo, boolean provideVirtualActivityInfo)`
    `CfgActivityHolder` | `getActivityByProfile(int siteID, int profileID, int sortMode, boolean ascending, int infoType, boolean provideActivitySetInfo, boolean provideVirtualActivityInfo)`
    `CfgActivitySetHolder` | `getActivitySet(int siteID, int[] activitySetIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivityInfo)`
    `CfgAgentHolder` | `getAgent(int siteID, int[] agentIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)` Retrieve Agent info (`CfgAgent` or `CfgAgentShort`) by ID for given Site
    `CfgAgentHolder` | `getAgentByActivity(int siteID, int[] activityIDArray, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgAgentHolder` | `getAgentByContract(int siteID, int contractID, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgAgentHolder` | `getAgentByContractAndActivity(int siteID, int contractID, int[] activityIDArray, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgAgentHolder` | `getAgentByRotation(int siteID, int rotationID, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgAgentHolder` | `getAgentByTeam(int siteID, int[] teamIDArray, int[] agentIDArray, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)` Retrieve Agent info (`CfgAgent` or `CfgAgentShort`) by ID or by Team ID for given Site
    `CfgAgentHolder` | `getAgentByTeamAndContract(int siteID, int[] teamIDArray, int[] agentIDArray, int[] contractIDArray, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)`
    `CfgAgentState[]` | `getAgentState(int[] agentStateIDArray, int sortMode, boolean ascending)` Retrieves Genesys Agent States (`CfgAgentState`)
    `CfgAgentHolder` | `getAllAgent(int siteID, double startDate, double endDate, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideTeamInfo, boolean provideContractInfo)` Retrieve all Agent info (`CfgAgent` or `CfgAgentShort`) for given Site
    `CfgBreakHolder` | `getBreak(int siteID, int[] breakIDArray, int sortMode, boolean ascending, int infoType)`
    `CfgBreakHolder` | `getBreakByShift(int siteID, int shiftID, int sortMode, boolean ascending, int infoType)`
    `CfgBUHolder` | `getBU(int[] BUIDArray, int sortMode, boolean ascending, int infoType, boolean provideSiteInfo, boolean provideVirtualActivityInfo)` Retrieves Business Unit information (`CfgBU` or `CfgBUShort`)
    `CfgContractHolder` | `getContract(int siteID, int[] contractIDArray, int sortMode, boolean ascending, int infoType, boolean provideShiftInfo)` Rerieves Contracts (`CfgContract` or `CfgContractShort`) for given Site
    `CfgContractHolder` | `getContractByShift(int siteID, int shiftID, int sortMode, boolean ascending, int infoType, boolean provideShiftInfo)`
    `CfgExceptionTypeHolder` | `getExceptionType(int siteID, int[] exceptionTypeIDArray, int sortMode, boolean ascending, int infoType)` Retrieve Exception Type info (`CfgExceptionType` or `CfgExceptionTypeShort`)
    `CfgFixedState[]` | `getFixedState(int[] fixedStateIDArray, int sortMode, boolean ascending)`
    `CfgGlobalSettings` | `getGlobalSettings()`
    `CfgMarkedTimeHolder` | `getMarkedTime(int siteID, int[] markedTimeIDArray, int sortMode, boolean ascending, int infoType)`
    `CfgMealHolder` | `getMeal(int siteID, int[] mealIDArray, int sortMode, boolean ascending, int infoType)`
    `CfgMealHolder` | `getMealByShift(int siteID, int shiftID, int sortMode, boolean ascending, int infoType)`
    `CfgMeetingHolder` | `getMeeting(int siteID, int[] meetingIDArray, int sortMode, boolean ascending, int infoType, boolean provideExceptionTypeInfo, boolean provideAgentInfo)`
    `CfgPlanningPeriodHolder` | `getPlanningPeriod(int siteID, double startDate, double endDate)`
    `CfgProfileHolder` | `getProfile(int siteID, int[] profileIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideContractInfo)`
    `CfgProfileHolder` | `getProfileByActivity(int siteID, int[] activityIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideContractInfo)`
    `CfgProfileHolder` | `getProfileByContract(int siteID, int contractID, int sortMode, boolean ascending, int infoType, boolean provideActivities, boolean provideContractInfo)`
    `CfgRotationHolder` | `getRotation(int siteID, int[] rotationIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivityInfo)` Retrieves Rotating Pattern information (`CfgRotation` or `CfgRotationShort`) for given Site
    `CfgShiftHolder` | `getShift(int siteID, int[] shiftIDArray, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgShiftHolder` | `getShiftByAgentAndDate(int siteID, int[] teamIDArray, int[] agentIDArray, double[] dateArray, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgShiftHolder` | `getShiftByBreak(int siteID, int breakID, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgShiftHolder` | `getShiftByContract(int siteID, int contractID, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgShiftHolder` | `getShiftByContractAndDate(int siteID, int contractID, double date, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgShiftHolder` | `getShiftByMeal(int siteID, int mealID, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgShiftHolder` | `getShiftByTaskSequence(int siteID, int taskSequenceID, int sortMode, boolean ascending, int infoType, boolean provideContractInfo, boolean provideBreakInfo, boolean provideMealInfo, boolean provideTaskSequenceInfo)`
    `CfgSiteHolder` | `getSite(int[] siteIDArray, int sortMode, boolean ascending, int infoType, boolean provideBUInfo)` Retrieves Site info (`CfgSite` or `CfgSiteShort`)
    `CfgSiteHolder` | `getSiteByBU(int BUID, int sortMode, boolean ascending, int infoType, boolean provideBUInfo)` Retrieves all Sites (`CfgSite` or `CfgSiteShort`) for given Business Unit
    `CfgSkill[]` | `getSkill(int[] skillIDArray, int sortMode, boolean ascending)` Retrieves Skill information (`CfgSkill`)
    `CfgStateHolder` | `getState(int siteID, int[] stateIDArray, int sortMode, boolean ascending, int infoType, boolean provideStateGroupInfo)`
    `CfgStateHolder` | `getStateByStateGroup(int siteID, int[] stateGroupIDArray, int sortMode, boolean ascending, int infoType, boolean provideStateGroupInfo)`
    `CfgStateHolder` | `getStateByStateType(int siteID, int[] stateTypeArray, int sortMode, boolean ascending, int infoType, boolean provideStateGroupInfo)`
    `CfgStateGroupHolder` | `getStateGroup(int siteID, int[] stateGroupIDArray, int sortMode, boolean ascending, int infoType, boolean provideStateInfo)`
    `CfgStateGroupHolder` | `getStateGroupByAgentState(int siteID, int gswStateId, java.lang.String wmReason, int sortMode, boolean ascending, int infoType, boolean provideStateInfo)`
    `CfgSubsystem[]` | `getSubsystem(int sortMode, boolean ascending)`
    `CfgTaskSequenceHolder` | `getTaskSequence(int siteID, int[] taskSequenceIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivitySetInfo)`
    `CfgTaskSequenceHolder` | `getTaskSequenceByShift(int siteID, int shiftID, int sortMode, boolean ascending, int infoType, boolean provideActivitySetInfo)`
    `CfgTeamHolder` | `getTeam(int siteID, int[] teamIDArray, int sortMode, boolean ascending, int infoType, boolean provideAgentInfo)` Rerieves Team information (`CfgTeam` or `CfgTeamShort`) for given Site
    `CfgTimeOffTypeHolder` | `getTimeOffType(int siteID, int[] timeOffTypeIDArray, int sortMode, boolean ascending, int infoType)` Retrieve Time Off Type info (`CfgTimeOffType` or `CfgTimeOffTypeShort`)
    `CfgTimezoneHolder` | `getTimezone(int[] timezoneIDArray, int sortMode, boolean ascending, int infoType)` Retrieves Time Zone information (`CfgTimezone` or `CfgTimezoneShort`)
    `CfgUserHolder` | `getUser(int[] userIDArray, int sortMode, boolean ascending, int infoType, boolean provideBUInfo, boolean provideSiteInfo, boolean provideTeamInfo, boolean provideSubsystemInfo)`
    `CfgVirtualActivityHolder` | `getVirtualActivity(int[] virtualActivityIDArray, int sortMode, boolean ascending, int infoType, boolean provideActivityInfo, boolean provideBUInfo)` Retrieve Multi-Site Activity info (`CfgVirtualActivity` or `CfgVirtualActivityShort`)
    `CfgVirtualActivityHolder` | `getVirtualActivityByBU(int BUID, int sortMode, boolean ascending, int infoType, boolean provideActivityInfo, boolean provideBUInfo)` Retrieve Multi-Site Activity info (`CfgVirtualActivity` or `CfgVirtualActivityShort`) for give Business Unit
    `CfgValidationHolder` | `insertAccrualRule(CfgAccrualRule accrualRule, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertActivity(CfgActivity activity, boolean ignoreWarnings)` Inserts new Agent (`CfgActivity`) Object to database
    `CfgValidationHolder` | `insertActivitySet(CfgActivitySet activitySet, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertAgent(CfgAgent agent, boolean ignoreWarnings)` Inserts new Agent (`CfgAgent`) Object to database
    `CfgValidationHolder` | `insertBreak(CfgBreak _break, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertBU(CfgBU BU, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertContract(CfgContract contract, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertExceptionType(CfgExceptionType exceptionType, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertMarkedTime(CfgMarkedTime markedTime, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertMeal(CfgMeal meal, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertMeeting(CfgMeeting meeting, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertProfile(CfgProfile profile, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertRotation(CfgRotation rotation, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertShift(CfgShift shift, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertSite(CfgSite site, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertSkill(CfgSkill skill, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertState(CfgState state, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertStateGroup(CfgStateGroup stateGroup, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertTaskSequence(CfgTaskSequence taskSequence, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertTeam(CfgTeam team, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertTimeOffType(CfgTimeOffType timeOffType, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertTimezone(CfgTimezone timezone, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertUser(CfgUser user, boolean ignoreWarnings)`
    `CfgValidationHolder` | `insertVirtualActivity(CfgVirtualActivity virtualActivity, boolean ignoreWarnings)`
    `CfgSnapshot` | `openAgentByActivitySnapshot(int siteID, int[] activityIDArray, double startDate, double endDate, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openAgentByContractSnapshot(int siteID, int contractID, double startDate, double endDate, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openAgentByRotationSnapshot(int siteID, int rotationID, double startDate, double endDate, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openAgentByTeamSnapshot(int siteID, int[] teamIDArray, int[] agentIDArray, double startDate, double endDate, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openAgentSnapshot(int siteID, int[] agentIDArray, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openAllAgentSnapshot(int siteID, double startDate, double endDate, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openContractSnapshot(int siteID, int[] contractIDArray, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openProfileByActivitySnapshot(int siteID, int[] activityIDArray, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openProfileByContractSnapshot(int siteID, int contractID, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openProfileSnapshot(int siteID, int[] profileIDArray, int sortMode, boolean ascending)`
    `CfgSnapshot` | `openTeamSnapshot(int siteID, int[] teamIDArray, int sortMode, boolean ascending)`
    `long` | `readCfgObjectDBTimestamp(int cfgObjectType, int siteID, int cfgObjectID)` Returns timestamp of when object was last modified.
    `void` | `setGlobalSettings(CfgGlobalSettings settings)`
    `void` | `setLocalTimezone(CfgTimezone timezone)`
    `void` | `sortSnapshot(java.lang.String snapshotID, int sortMode, boolean ascending)`
    `CfgValidationHolder` | `updateAccrualRule(CfgAccrualRule accrualRule, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateActivity(CfgActivity activity, boolean checkTimestamp, boolean ignoreWarnings)` Updates existing Activity (`CfgActivity`) object
    `CfgValidationHolder` | `updateActivitySet(CfgActivitySet activitySet, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateAgent(CfgAgent agent, boolean checkTimestamp, boolean ignoreWarnings)` Updates existing Agent (`CfgAgent`) object
    `CfgValidationHolder` | `updateBreak(CfgBreak _break, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateBU(CfgBU BU, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateContract(CfgContract contract, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateExceptionType(CfgExceptionType exceptionType, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateMarkedTime(CfgMarkedTime markedTime, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateMeal(CfgMeal meal, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateMeeting(CfgMeeting meeting, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateProfile(CfgProfile profile, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateRotation(CfgRotation rotation, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateShift(CfgShift shift, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateSite(CfgSite site, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateSkill(CfgSkill skill, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateState(CfgState state, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateStateGroup(CfgStateGroup stateGroup, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateTaskSequence(CfgTaskSequence taskSequence, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateTeam(CfgTeam team, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateTimeOffType(CfgTimeOffType timeOffType, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateTimezone(CfgTimezone timezone, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateUser(CfgUser user, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `updateVirtualActivity(CfgVirtualActivity virtualActivity, boolean checkTimestamp, boolean ignoreWarnings)`
    `CfgValidationHolder` | `validateAccrualRule(CfgAccrualRule accrualRule)`
    `CfgValidationHolder` | `validateActivity(int siteID, CfgActivity activity)`
    `CfgValidationHolder` | `validateActivitySet(int siteID, CfgActivitySet activitySet)`
    `CfgValidationHolder` | `validateAgent(CfgAgent agent)`
    `CfgValidationHolder` | `validateBreak(CfgBreak _break)`
    `CfgValidationHolder` | `validateBU(CfgBU BU)`
    `CfgValidationHolder` | `validateContract(CfgContract contract)`
    `CfgValidationHolder` | `validateExceptionType(CfgExceptionType exceptionType)`
    `CfgValidationHolder` | `validateMarkedTime(CfgMarkedTime markedTime)`
    `CfgValidationHolder` | `validateMeal(CfgMeal meal)`
    `CfgValidationHolder` | `validateMeeting(CfgMeeting meeting)`
    `CfgValidationHolder` | `validateProfile(CfgProfile profile)`
    `CfgValidationHolder` | `validateRotation(CfgRotation rotation)`
    `CfgValidationHolder` | `validateShift(CfgShift shift)`
    `CfgValidationHolder` | `validateSite(CfgSite site)`
    `CfgValidationHolder` | `validateSkill(CfgSkill skill)`
    `CfgValidationHolder` | `validateState(CfgState state)`
    `CfgValidationHolder` | `validateStateGroup(CfgStateGroup stateGroup)`
    `CfgValidationHolder` | `validateTaskSequence(CfgTaskSequence taskSequence)`
    `CfgValidationHolder` | `validateTeam(CfgTeam team)`
    `CfgValidationHolder` | `validateTimeOffType(CfgTimeOffType timeOffType)`
    `CfgValidationHolder` | `validateTimezone(CfgTimezone timezone)`
    `CfgValidationHolder` | `validateUser(CfgUser user)`
    `CfgValidationHolder` | `validateVirtualActivity(CfgVirtualActivity virtualActivity)`

- - ### Method Detail

    - #### deleteCfgObject

          void deleteCfgObject(int cfgObjectType,
                             int siteID,
                             int cfgObjectID)
                               throws java.rmi.RemoteException

      Deletes Configuration Object
      Parameters:
        `cfgObjectType` - Object Type (`ECfgObjectType`)
        `siteID` - Site ID
        `cfgObjectID` - Object ID
      Throws:
        `java.rmi.RemoteException`

    - #### readCfgObjectDBTimestamp

          long readCfgObjectDBTimestamp(int cfgObjectType,
                                      int siteID,
                                      int cfgObjectID)
                                        throws java.rmi.RemoteException

      Returns timestamp of when object was last modified. Returned timestamp value can be compared to earlier retrieved object's timestamp to see if object information is still up to date.
      Parameters:
        `cfgObjectType` - Object Type (`ECfgObjectType`)
        `siteID` - Site ID
        `cfgObjectID` - Object ID
      Returns:
        timestamp value
      Throws:
        `java.rmi.RemoteException`

    - #### closeSnapshot

          void closeSnapshot(java.lang.String snapshotID)
                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### sortSnapshot

          void sortSnapshot(java.lang.String snapshotID,
                          int sortMode,
                          boolean ascending)
                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### findInSnapshot

          int findInSnapshot(java.lang.String snapshotID,
                           int field,
                           java.lang.String value,
                           int startIndex)
                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertBU

          CfgValidationHolder insertBU(CfgBU BU,
                                     boolean ignoreWarnings)
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateBU

          CfgValidationHolder updateBU(CfgBU BU,
                                     boolean checkTimestamp,
                                     boolean ignoreWarnings)
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateBU

          CfgValidationHolder validateBU(CfgBU BU)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getBU

          CfgBUHolder getBU(int[] BUIDArray,
                          int sortMode,
                          boolean ascending,
                          int infoType,
                          boolean provideSiteInfo,
                          boolean provideVirtualActivityInfo)
                            throws java.rmi.RemoteException

      Retrieves Business Unit information (`CfgBU` or `CfgBUShort`)
      Parameters:
        `BUIDArray` - IDs of Business Unit to load. Use "null" to load all.
        `sortMode` - Sort Mode (`ECfgSortMode.BU`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested Detail Level (`ECfgInfoType`)
        `provideSiteInfo` - Provide Site info
        `provideVirtualActivityInfo` - Provide Multi-Site Activity info
      Returns:
        `CfgBUHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### insertSite

          CfgValidationHolder insertSite(CfgSite site,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateSite

          CfgValidationHolder updateSite(CfgSite site,
                                       boolean checkTimestamp,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateSite

          CfgValidationHolder validateSite(CfgSite site)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getSite

          CfgSiteHolder getSite(int[] siteIDArray,
                              int sortMode,
                              boolean ascending,
                              int infoType,
                              boolean provideBUInfo)
                                throws java.rmi.RemoteException

      Retrieves Site info (`CfgSite` or `CfgSiteShort`)
      Parameters:
        `siteIDArray` - IDs of Sites to load. Use "null" to load all.
        `sortMode` - Sort Mode (`ECfgSortMode.Site`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested Detail Level (`ECfgInfoType`)
        `provideBUInfo` - Provide Business Unit info
      Returns:
        `CfgSiteHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getSiteByBU

          CfgSiteHolder getSiteByBU(int BUID,
                                  int sortMode,
                                  boolean ascending,
                                  int infoType,
                                  boolean provideBUInfo)
                                    throws java.rmi.RemoteException

      Retrieves all Sites (`CfgSite` or `CfgSiteShort`) for given Business Unit
      Parameters:
        `BUID` - Business Unit ID
        `sortMode` - Sort Mode (`ECfgSortMode.Site`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideBUInfo` - Provide Business Unit info
      Returns:
        `CfgSiteHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### insertAgent

          CfgValidationHolder insertAgent(CfgAgent agent,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Inserts new Agent (`CfgAgent`) Object to database
      Parameters:
        `agent` - Agent Object to insert
        `ignoreWarnings` - Ignore warnings if any
      Returns:
        `CfgValidationHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### updateAgent

          CfgValidationHolder updateAgent(CfgAgent agent,
                                        boolean checkTimestamp,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Updates existing Agent (`CfgAgent`) object
      Parameters:
        `agent` - Agent Object to update
        `checkTimestamp` - Check timestamp to make sure that object wasn't modified by another user
        `ignoreWarnings` - Ignore warnings if any
      Returns:
        `CfgValidationHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### validateAgent

          CfgValidationHolder validateAgent(CfgAgent agent)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAllAgent

          CfgAgentHolder getAllAgent(int siteID,
                                   double startDate,
                                   double endDate,
                                   int sortMode,
                                   boolean ascending,
                                   int infoType,
                                   boolean provideActivities,
                                   boolean provideTeamInfo,
                                   boolean provideContractInfo)
                                     throws java.rmi.RemoteException

      Retrieve all Agent info (`CfgAgent` or `CfgAgentShort`) for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `startDate` - Hire date (`OleDateTime`) filter (can be NULL)
        `endDate` - Termination date (`OleDateTime`) filter (can be NULL)
        `sortMode` - Sort Mode (`ECfgSortMode.Agent`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivities` - Provide Activities that Agent is qualified to work on.
        `provideTeamInfo` - Provide Team info
        `provideContractInfo` - Provide Contract info
      Returns:
        `CfgAgentHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getAgent

          CfgAgentHolder getAgent(int siteID,
                                int[] agentIDArray,
                                int sortMode,
                                boolean ascending,
                                int infoType,
                                boolean provideActivities,
                                boolean provideTeamInfo,
                                boolean provideContractInfo)
                                  throws java.rmi.RemoteException

      Retrieve Agent info (`CfgAgent` or `CfgAgentShort`) by ID for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `agentIDArray` - IDs of Agents to retrieve. Specify "null" to retrieve all Agents
        `sortMode` - Sort Mode (`ECfgSortMode.Agent`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivities` - Provide Activities that Agent is qualified to work on.
        `provideTeamInfo` - Provide Team info
        `provideContractInfo` - Provide Contract info
      Returns:
        `CfgAgentHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getAgentByActivity

          CfgAgentHolder getAgentByActivity(int siteID,
                                          int[] activityIDArray,
                                          double startDate,
                                          double endDate,
                                          int sortMode,
                                          boolean ascending,
                                          int infoType,
                                          boolean provideActivities,
                                          boolean provideTeamInfo,
                                          boolean provideContractInfo)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAgentByTeam

          CfgAgentHolder getAgentByTeam(int siteID,
                                      int[] teamIDArray,
                                      int[] agentIDArray,
                                      double startDate,
                                      double endDate,
                                      int sortMode,
                                      boolean ascending,
                                      int infoType,
                                      boolean provideActivities,
                                      boolean provideTeamInfo,
                                      boolean provideContractInfo)
                                        throws java.rmi.RemoteException

      Retrieve Agent info (`CfgAgent` or `CfgAgentShort`) by ID or by Team ID for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `teamIDArray` - Team ID filter. Specify "null" ignore Team filter
        `agentIDArray` - Agent ID filter. Specify "null" to ignore Agent filter
        `startDate` - Hire date (`OleDateTime`) filter (can be NULL)
        `endDate` - Termination date (`OleDateTime`) filter (can be NULL)
        `sortMode` - Sort Mode (`ECfgSortMode.Agent`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivities` - Provide Activities that Agent is qualified to work on.
        `provideTeamInfo` - Provide Team info
        `provideContractInfo` - Provide Contract info
      Returns:
        `CfgAgentHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getAgentByTeamAndContract

          CfgAgentHolder getAgentByTeamAndContract(int siteID,
                                                 int[] teamIDArray,
                                                 int[] agentIDArray,
                                                 int[] contractIDArray,
                                                 double startDate,
                                                 double endDate,
                                                 int sortMode,
                                                 boolean ascending,
                                                 int infoType,
                                                 boolean provideActivities,
                                                 boolean provideTeamInfo,
                                                 boolean provideContractInfo)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAgentByContract

          CfgAgentHolder getAgentByContract(int siteID,
                                          int contractID,
                                          double startDate,
                                          double endDate,
                                          int sortMode,
                                          boolean ascending,
                                          int infoType,
                                          boolean provideActivities,
                                          boolean provideTeamInfo,
                                          boolean provideContractInfo)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAgentByContractAndActivity

          CfgAgentHolder getAgentByContractAndActivity(int siteID,
                                                     int contractID,
                                                     int[] activityIDArray,
                                                     double startDate,
                                                     double endDate,
                                                     int sortMode,
                                                     boolean ascending,
                                                     int infoType,
                                                     boolean provideActivities,
                                                     boolean provideTeamInfo,
                                                     boolean provideContractInfo)
                                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAgentByRotation

          CfgAgentHolder getAgentByRotation(int siteID,
                                          int rotationID,
                                          double startDate,
                                          double endDate,
                                          int sortMode,
                                          boolean ascending,
                                          int infoType,
                                          boolean provideActivities,
                                          boolean provideTeamInfo,
                                          boolean provideContractInfo)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openAllAgentSnapshot

          CfgSnapshot openAllAgentSnapshot(int siteID,
                                         double startDate,
                                         double endDate,
                                         int sortMode,
                                         boolean ascending)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openAgentSnapshot

          CfgSnapshot openAgentSnapshot(int siteID,
                                      int[] agentIDArray,
                                      int sortMode,
                                      boolean ascending)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openAgentByActivitySnapshot

          CfgSnapshot openAgentByActivitySnapshot(int siteID,
                                                int[] activityIDArray,
                                                double startDate,
                                                double endDate,
                                                int sortMode,
                                                boolean ascending)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openAgentByTeamSnapshot

          CfgSnapshot openAgentByTeamSnapshot(int siteID,
                                            int[] teamIDArray,
                                            int[] agentIDArray,
                                            double startDate,
                                            double endDate,
                                            int sortMode,
                                            boolean ascending)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openAgentByContractSnapshot

          CfgSnapshot openAgentByContractSnapshot(int siteID,
                                                int contractID,
                                                double startDate,
                                                double endDate,
                                                int sortMode,
                                                boolean ascending)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openAgentByRotationSnapshot

          CfgSnapshot openAgentByRotationSnapshot(int siteID,
                                                int rotationID,
                                                double startDate,
                                                double endDate,
                                                int sortMode,
                                                boolean ascending)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### fetchAgentFromSnapshot

          CfgAgentHolder fetchAgentFromSnapshot(java.lang.String snapshotID,
                                              int firstIndex,
                                              int lastIndex,
                                              int infoType,
                                              boolean provideActivities,
                                              boolean provideTeamInfo,
                                              boolean provideContractInfo)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### fetchTeamFromAgentSnapshot

          CfgTeamHolder fetchTeamFromAgentSnapshot(java.lang.String snapshotID,
                                                 int infoType,
                                                 boolean provideAgentInfo)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### fetchAgentFromSnapshotByTeam

          CfgAgentHolder fetchAgentFromSnapshotByTeam(java.lang.String snapshotID,
                                                    int[] teamIDArray,
                                                    int infoType,
                                                    boolean provideActivities,
                                                    boolean provideTeamInfo,
                                                    boolean provideContractInfo)
                                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertTeam

          CfgValidationHolder insertTeam(CfgTeam team,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateTeam

          CfgValidationHolder updateTeam(CfgTeam team,
                                       boolean checkTimestamp,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateTeam

          CfgValidationHolder validateTeam(CfgTeam team)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTeam

          CfgTeamHolder getTeam(int siteID,
                              int[] teamIDArray,
                              int sortMode,
                              boolean ascending,
                              int infoType,
                              boolean provideAgentInfo)
                                throws java.rmi.RemoteException

      Rerieves Team information (`CfgTeam` or `CfgTeamShort`) for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `teamIDArray` - Team ID filter. Specify "null" retrieve all Teams
        `sortMode` - Sort Mode (`ECfgSortMode.Team`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideAgentInfo` - Provide Agent information
      Returns:
        `CfgTeamHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### openTeamSnapshot

          CfgSnapshot openTeamSnapshot(int siteID,
                                     int[] teamIDArray,
                                     int sortMode,
                                     boolean ascending)
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### fetchTeamFromSnapshot

          CfgTeamHolder fetchTeamFromSnapshot(java.lang.String snapshotID,
                                            int firstIndex,
                                            int lastIndex,
                                            int infoType,
                                            boolean provideAgentInfo)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertContract

          CfgValidationHolder insertContract(CfgContract contract,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateContract

          CfgValidationHolder updateContract(CfgContract contract,
                                           boolean checkTimestamp,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateContract

          CfgValidationHolder validateContract(CfgContract contract)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getContract

          CfgContractHolder getContract(int siteID,
                                      int[] contractIDArray,
                                      int sortMode,
                                      boolean ascending,
                                      int infoType,
                                      boolean provideShiftInfo)
                                        throws java.rmi.RemoteException

      Rerieves Contracts (`CfgContract` or `CfgContractShort`) for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `contractIDArray` - Contract ID filter. Specify "null" retrieve all Contracts
        `sortMode` - Sort Mode (`ECfgSortMode.Contract`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideShiftInfo` - Provide Shift info
      Returns:
        `CfgContractHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getContractByShift

          CfgContractHolder getContractByShift(int siteID,
                                             int shiftID,
                                             int sortMode,
                                             boolean ascending,
                                             int infoType,
                                             boolean provideShiftInfo)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openContractSnapshot

          CfgSnapshot openContractSnapshot(int siteID,
                                         int[] contractIDArray,
                                         int sortMode,
                                         boolean ascending)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### fetchContractFromSnapshot

          CfgContractHolder fetchContractFromSnapshot(java.lang.String snapshotID,
                                                    int firstIndex,
                                                    int lastIndex,
                                                    int infoType,
                                                    boolean provideShiftInfo)
                                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertProfile

          CfgValidationHolder insertProfile(CfgProfile profile,
                                          boolean ignoreWarnings)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateProfile

          CfgValidationHolder updateProfile(CfgProfile profile,
                                          boolean checkTimestamp,
                                          boolean ignoreWarnings)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateProfile

          CfgValidationHolder validateProfile(CfgProfile profile)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getProfile

          CfgProfileHolder getProfile(int siteID,
                                    int[] profileIDArray,
                                    int sortMode,
                                    boolean ascending,
                                    int infoType,
                                    boolean provideActivities,
                                    boolean provideContractInfo)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getProfileByActivity

          CfgProfileHolder getProfileByActivity(int siteID,
                                              int[] activityIDArray,
                                              int sortMode,
                                              boolean ascending,
                                              int infoType,
                                              boolean provideActivities,
                                              boolean provideContractInfo)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getProfileByContract

          CfgProfileHolder getProfileByContract(int siteID,
                                              int contractID,
                                              int sortMode,
                                              boolean ascending,
                                              int infoType,
                                              boolean provideActivities,
                                              boolean provideContractInfo)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openProfileSnapshot

          CfgSnapshot openProfileSnapshot(int siteID,
                                        int[] profileIDArray,
                                        int sortMode,
                                        boolean ascending)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openProfileByActivitySnapshot

          CfgSnapshot openProfileByActivitySnapshot(int siteID,
                                                  int[] activityIDArray,
                                                  int sortMode,
                                                  boolean ascending)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openProfileByContractSnapshot

          CfgSnapshot openProfileByContractSnapshot(int siteID,
                                                  int contractID,
                                                  int sortMode,
                                                  boolean ascending)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### fetchProfileFromSnapshot

          CfgProfileHolder fetchProfileFromSnapshot(java.lang.String snapshotID,
                                                  int firstIndex,
                                                  int lastIndex,
                                                  int infoType,
                                                  boolean provideActivities,
                                                  boolean provideContractInfo)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertActivity

          CfgValidationHolder insertActivity(CfgActivity activity,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Inserts new Agent (`CfgActivity`) Object to database
      Parameters:
        `activity` - Object to insert
        `ignoreWarnings` - Ignore warnings if any
      Returns:
        `CfgValidationHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### updateActivity

          CfgValidationHolder updateActivity(CfgActivity activity,
                                           boolean checkTimestamp,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Updates existing Activity (`CfgActivity`) object
      Parameters:
        `activity` - Activity object to update
        `checkTimestamp` - Check timestamp to make sure that object wasn't modified by another user
        `ignoreWarnings` - Ignore warnings if any
      Returns:
        `CfgValidationHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### validateActivity

          CfgValidationHolder validateActivity(int siteID,
                                             CfgActivity activity)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getActivity

          CfgActivityHolder getActivity(int siteID,
                                      int[] activityIDArray,
                                      int sortMode,
                                      boolean ascending,
                                      int infoType,
                                      boolean provideActivitySetInfo,
                                      boolean provideVirtualActivityInfo)
                                        throws java.rmi.RemoteException

      Rerieves Activity info (`CfgActivity` or `CfgActivityShort`) for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `activityIDArray` - Activity ID filter. Specify "null" retrieve all
        `sortMode` - Sort Mode (`ECfgSortMode.Activity`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivitySetInfo` - Provide Activity Set info
        `provideVirtualActivityInfo` - Provide Multi-Site Activity info
      Returns:
        `CfgActivityHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getActivityByAgent

          CfgActivityHolder getActivityByAgent(int siteID,
                                             int agentID,
                                             int sortMode,
                                             boolean ascending,
                                             int infoType,
                                             boolean provideActivitySetInfo,
                                             boolean provideVirtualActivityInfo)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getActivityByProfile

          CfgActivityHolder getActivityByProfile(int siteID,
                                               int profileID,
                                               int sortMode,
                                               boolean ascending,
                                               int infoType,
                                               boolean provideActivitySetInfo,
                                               boolean provideVirtualActivityInfo)
                                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getActivityByActivitySet

          CfgActivityHolder getActivityByActivitySet(int siteID,
                                                   int activitySetID,
                                                   int sortMode,
                                                   boolean ascending,
                                                   int infoType,
                                                   boolean provideActivitySetInfo,
                                                   boolean provideVirtualActivityInfo)
                                                     throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertActivitySet

          CfgValidationHolder insertActivitySet(CfgActivitySet activitySet,
                                              boolean ignoreWarnings)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateActivitySet

          CfgValidationHolder updateActivitySet(CfgActivitySet activitySet,
                                              boolean checkTimestamp,
                                              boolean ignoreWarnings)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateActivitySet

          CfgValidationHolder validateActivitySet(int siteID,
                                                CfgActivitySet activitySet)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getActivitySet

          CfgActivitySetHolder getActivitySet(int siteID,
                                            int[] activitySetIDArray,
                                            int sortMode,
                                            boolean ascending,
                                            int infoType,
                                            boolean provideActivityInfo)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertVirtualActivity

          CfgValidationHolder insertVirtualActivity(CfgVirtualActivity virtualActivity,
                                                  boolean ignoreWarnings)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateVirtualActivity

          CfgValidationHolder updateVirtualActivity(CfgVirtualActivity virtualActivity,
                                                  boolean checkTimestamp,
                                                  boolean ignoreWarnings)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateVirtualActivity

          CfgValidationHolder validateVirtualActivity(CfgVirtualActivity virtualActivity)
                                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getVirtualActivity

          CfgVirtualActivityHolder getVirtualActivity(int[] virtualActivityIDArray,
                                                    int sortMode,
                                                    boolean ascending,
                                                    int infoType,
                                                    boolean provideActivityInfo,
                                                    boolean provideBUInfo)
                                                      throws java.rmi.RemoteException

      Retrieve Multi-Site Activity info (`CfgVirtualActivity` or `CfgVirtualActivityShort`)
      Parameters:
        `virtualActivityIDArray` - Multi-Site Activity ID filter. Use "null" to retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.VirtualActivity`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivityInfo` - Provide activity info
        `provideBUInfo` - Provide Business Unit info
      Returns:
        `CfgVirtualActivityHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getVirtualActivityByBU

          CfgVirtualActivityHolder getVirtualActivityByBU(int BUID,
                                                        int sortMode,
                                                        boolean ascending,
                                                        int infoType,
                                                        boolean provideActivityInfo,
                                                        boolean provideBUInfo)
                                                          throws java.rmi.RemoteException

      Retrieve Multi-Site Activity info (`CfgVirtualActivity` or `CfgVirtualActivityShort`) for give Business Unit
      Parameters:
        `BUID` - Business Unit ID, identifies `CfgBU` object
        `sortMode` - Sort Mode (`ECfgSortMode.VirtualActivity`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivityInfo` - Provide activity info
        `provideBUInfo` - Provide Business Unit info
      Returns:
        `CfgVirtualActivityHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### insertShift

          CfgValidationHolder insertShift(CfgShift shift,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateShift

          CfgValidationHolder updateShift(CfgShift shift,
                                        boolean checkTimestamp,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateShift

          CfgValidationHolder validateShift(CfgShift shift)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShift

          CfgShiftHolder getShift(int siteID,
                                int[] shiftIDArray,
                                int sortMode,
                                boolean ascending,
                                int infoType,
                                boolean provideContractInfo,
                                boolean provideBreakInfo,
                                boolean provideMealInfo,
                                boolean provideTaskSequenceInfo)
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShiftByContract

          CfgShiftHolder getShiftByContract(int siteID,
                                          int contractID,
                                          int sortMode,
                                          boolean ascending,
                                          int infoType,
                                          boolean provideContractInfo,
                                          boolean provideBreakInfo,
                                          boolean provideMealInfo,
                                          boolean provideTaskSequenceInfo)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShiftByContractAndDate

          CfgShiftHolder getShiftByContractAndDate(int siteID,
                                                 int contractID,
                                                 double date,
                                                 int sortMode,
                                                 boolean ascending,
                                                 int infoType,
                                                 boolean provideContractInfo,
                                                 boolean provideBreakInfo,
                                                 boolean provideMealInfo,
                                                 boolean provideTaskSequenceInfo)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShiftByMeal

          CfgShiftHolder getShiftByMeal(int siteID,
                                      int mealID,
                                      int sortMode,
                                      boolean ascending,
                                      int infoType,
                                      boolean provideContractInfo,
                                      boolean provideBreakInfo,
                                      boolean provideMealInfo,
                                      boolean provideTaskSequenceInfo)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShiftByBreak

          CfgShiftHolder getShiftByBreak(int siteID,
                                       int breakID,
                                       int sortMode,
                                       boolean ascending,
                                       int infoType,
                                       boolean provideContractInfo,
                                       boolean provideBreakInfo,
                                       boolean provideMealInfo,
                                       boolean provideTaskSequenceInfo)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShiftByTaskSequence

          CfgShiftHolder getShiftByTaskSequence(int siteID,
                                              int taskSequenceID,
                                              int sortMode,
                                              boolean ascending,
                                              int infoType,
                                              boolean provideContractInfo,
                                              boolean provideBreakInfo,
                                              boolean provideMealInfo,
                                              boolean provideTaskSequenceInfo)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getShiftByAgentAndDate

          CfgShiftHolder getShiftByAgentAndDate(int siteID,
                                              int[] teamIDArray,
                                              int[] agentIDArray,
                                              double[] dateArray,
                                              int sortMode,
                                              boolean ascending,
                                              int infoType,
                                              boolean provideContractInfo,
                                              boolean provideBreakInfo,
                                              boolean provideMealInfo,
                                              boolean provideTaskSequenceInfo)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertMeal

          CfgValidationHolder insertMeal(CfgMeal meal,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateMeal

          CfgValidationHolder updateMeal(CfgMeal meal,
                                       boolean checkTimestamp,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateMeal

          CfgValidationHolder validateMeal(CfgMeal meal)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getMeal

          CfgMealHolder getMeal(int siteID,
                              int[] mealIDArray,
                              int sortMode,
                              boolean ascending,
                              int infoType)
                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getMealByShift

          CfgMealHolder getMealByShift(int siteID,
                                     int shiftID,
                                     int sortMode,
                                     boolean ascending,
                                     int infoType)
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertBreak

          CfgValidationHolder insertBreak(CfgBreak _break,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateBreak

          CfgValidationHolder updateBreak(CfgBreak _break,
                                        boolean checkTimestamp,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateBreak

          CfgValidationHolder validateBreak(CfgBreak _break)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getBreak

          CfgBreakHolder getBreak(int siteID,
                                int[] breakIDArray,
                                int sortMode,
                                boolean ascending,
                                int infoType)
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getBreakByShift

          CfgBreakHolder getBreakByShift(int siteID,
                                       int shiftID,
                                       int sortMode,
                                       boolean ascending,
                                       int infoType)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertTaskSequence

          CfgValidationHolder insertTaskSequence(CfgTaskSequence taskSequence,
                                               boolean ignoreWarnings)
                                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateTaskSequence

          CfgValidationHolder updateTaskSequence(CfgTaskSequence taskSequence,
                                               boolean checkTimestamp,
                                               boolean ignoreWarnings)
                                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateTaskSequence

          CfgValidationHolder validateTaskSequence(CfgTaskSequence taskSequence)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTaskSequence

          CfgTaskSequenceHolder getTaskSequence(int siteID,
                                              int[] taskSequenceIDArray,
                                              int sortMode,
                                              boolean ascending,
                                              int infoType,
                                              boolean provideActivitySetInfo)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTaskSequenceByShift

          CfgTaskSequenceHolder getTaskSequenceByShift(int siteID,
                                                     int shiftID,
                                                     int sortMode,
                                                     boolean ascending,
                                                     int infoType,
                                                     boolean provideActivitySetInfo)
                                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertExceptionType

          CfgValidationHolder insertExceptionType(CfgExceptionType exceptionType,
                                                boolean ignoreWarnings)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateExceptionType

          CfgValidationHolder updateExceptionType(CfgExceptionType exceptionType,
                                                boolean checkTimestamp,
                                                boolean ignoreWarnings)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateExceptionType

          CfgValidationHolder validateExceptionType(CfgExceptionType exceptionType)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getExceptionType

          CfgExceptionTypeHolder getExceptionType(int siteID,
                                                int[] exceptionTypeIDArray,
                                                int sortMode,
                                                boolean ascending,
                                                int infoType)
                                                  throws java.rmi.RemoteException

      Retrieve Exception Type info (`CfgExceptionType` or `CfgExceptionTypeShort`)
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `exceptionTypeIDArray` - Exception Type ID filter. Specify "null" retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.ExceptionType`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
      Returns:
        `CfgExceptionTypeHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### insertTimeOffType

          CfgValidationHolder insertTimeOffType(CfgTimeOffType timeOffType,
                                              boolean ignoreWarnings)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateTimeOffType

          CfgValidationHolder updateTimeOffType(CfgTimeOffType timeOffType,
                                              boolean checkTimestamp,
                                              boolean ignoreWarnings)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateTimeOffType

          CfgValidationHolder validateTimeOffType(CfgTimeOffType timeOffType)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTimeOffType

          CfgTimeOffTypeHolder getTimeOffType(int siteID,
                                            int[] timeOffTypeIDArray,
                                            int sortMode,
                                            boolean ascending,
                                            int infoType)
                                              throws java.rmi.RemoteException

      Retrieve Time Off Type info (`CfgTimeOffType` or `CfgTimeOffTypeShort`)
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `timeOffTypeIDArray` - Time Off Type ID filter. Specify "null" retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.TimeOffType`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
      Returns:
        `CfgTimeOffTypeHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### insertMarkedTime

          CfgValidationHolder insertMarkedTime(CfgMarkedTime markedTime,
                                             boolean ignoreWarnings)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateMarkedTime

          CfgValidationHolder updateMarkedTime(CfgMarkedTime markedTime,
                                             boolean checkTimestamp,
                                             boolean ignoreWarnings)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateMarkedTime

          CfgValidationHolder validateMarkedTime(CfgMarkedTime markedTime)
                                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getMarkedTime

          CfgMarkedTimeHolder getMarkedTime(int siteID,
                                          int[] markedTimeIDArray,
                                          int sortMode,
                                          boolean ascending,
                                          int infoType)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertMeeting

          CfgValidationHolder insertMeeting(CfgMeeting meeting,
                                          boolean ignoreWarnings)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateMeeting

          CfgValidationHolder updateMeeting(CfgMeeting meeting,
                                          boolean checkTimestamp,
                                          boolean ignoreWarnings)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateMeeting

          CfgValidationHolder validateMeeting(CfgMeeting meeting)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getMeeting

          CfgMeetingHolder getMeeting(int siteID,
                                    int[] meetingIDArray,
                                    int sortMode,
                                    boolean ascending,
                                    int infoType,
                                    boolean provideExceptionTypeInfo,
                                    boolean provideAgentInfo)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAgentState

          CfgAgentState[] getAgentState(int[] agentStateIDArray,
                                      int sortMode,
                                      boolean ascending)
                                        throws java.rmi.RemoteException

      Retrieves Genesys Agent States (`CfgAgentState`)
      Parameters:
        `agentStateIDArray` - Agent State ID filter. Use "null" to retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.AgentState`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
      Returns:
        `CfgAgentState`[]
      Throws:
        `java.rmi.RemoteException`

    - #### getFixedState

          CfgFixedState[] getFixedState(int[] fixedStateIDArray,
                                      int sortMode,
                                      boolean ascending)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertState

          CfgValidationHolder insertState(CfgState state,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateState

          CfgValidationHolder updateState(CfgState state,
                                        boolean checkTimestamp,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateState

          CfgValidationHolder validateState(CfgState state)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getState

          CfgStateHolder getState(int siteID,
                                int[] stateIDArray,
                                int sortMode,
                                boolean ascending,
                                int infoType,
                                boolean provideStateGroupInfo)
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getStateByStateGroup

          CfgStateHolder getStateByStateGroup(int siteID,
                                            int[] stateGroupIDArray,
                                            int sortMode,
                                            boolean ascending,
                                            int infoType,
                                            boolean provideStateGroupInfo)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getStateByStateType

          CfgStateHolder getStateByStateType(int siteID,
                                           int[] stateTypeArray,
                                           int sortMode,
                                           boolean ascending,
                                           int infoType,
                                           boolean provideStateGroupInfo)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertStateGroup

          CfgValidationHolder insertStateGroup(CfgStateGroup stateGroup,
                                             boolean ignoreWarnings)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateStateGroup

          CfgValidationHolder updateStateGroup(CfgStateGroup stateGroup,
                                             boolean checkTimestamp,
                                             boolean ignoreWarnings)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateStateGroup

          CfgValidationHolder validateStateGroup(CfgStateGroup stateGroup)
                                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getStateGroup

          CfgStateGroupHolder getStateGroup(int siteID,
                                          int[] stateGroupIDArray,
                                          int sortMode,
                                          boolean ascending,
                                          int infoType,
                                          boolean provideStateInfo)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getStateGroupByAgentState

          CfgStateGroupHolder getStateGroupByAgentState(int siteID,
                                                      int gswStateId,
                                                      java.lang.String wmReason,
                                                      int sortMode,
                                                      boolean ascending,
                                                      int infoType,
                                                      boolean provideStateInfo)
                                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertSkill

          CfgValidationHolder insertSkill(CfgSkill skill,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateSkill

          CfgValidationHolder updateSkill(CfgSkill skill,
                                        boolean checkTimestamp,
                                        boolean ignoreWarnings)
                                          throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateSkill

          CfgValidationHolder validateSkill(CfgSkill skill)
                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getSkill

          CfgSkill[] getSkill(int[] skillIDArray,
                            int sortMode,
                            boolean ascending)
                              throws java.rmi.RemoteException

      Retrieves Skill information (`CfgSkill`)
      Parameters:
        `skillIDArray` - Skill ID filter. Use "null" to retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.Skill`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
      Returns:
        `CfgSkill`[]
      Throws:
        `java.rmi.RemoteException`

    - #### getSubsystem

          CfgSubsystem[] getSubsystem(int sortMode,
                                    boolean ascending)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertUser

          CfgValidationHolder insertUser(CfgUser user,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateUser

          CfgValidationHolder updateUser(CfgUser user,
                                       boolean checkTimestamp,
                                       boolean ignoreWarnings)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateUser

          CfgValidationHolder validateUser(CfgUser user)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getUser

          CfgUserHolder getUser(int[] userIDArray,
                              int sortMode,
                              boolean ascending,
                              int infoType,
                              boolean provideBUInfo,
                              boolean provideSiteInfo,
                              boolean provideTeamInfo,
                              boolean provideSubsystemInfo)
                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertTimezone

          CfgValidationHolder insertTimezone(CfgTimezone timezone,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateTimezone

          CfgValidationHolder updateTimezone(CfgTimezone timezone,
                                           boolean checkTimestamp,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateTimezone

          CfgValidationHolder validateTimezone(CfgTimezone timezone)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTimezone

          CfgTimezoneHolder getTimezone(int[] timezoneIDArray,
                                      int sortMode,
                                      boolean ascending,
                                      int infoType)
                                        throws java.rmi.RemoteException

      Retrieves Time Zone information (`CfgTimezone` or `CfgTimezoneShort`)
      Parameters:
        `timezoneIDArray` - Time Zone ID filter. Use "null" to retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.Timezone`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
      Returns:
        `CfgTimezoneHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### convertLocalTime

          double convertLocalTime(int timezoneID1,
                                double localTime1,
                                int timezoneID2)
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### convertLocalTime2GMT

          double convertLocalTime2GMT(int timezoneID,
                                    double localTime)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### convertGMT2LocalTime

          double convertGMT2LocalTime(double GMTTime,
                                    int timezoneID)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setLocalTimezone

          void setLocalTimezone(CfgTimezone timezone)
                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertRotation

          CfgValidationHolder insertRotation(CfgRotation rotation,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateRotation

          CfgValidationHolder updateRotation(CfgRotation rotation,
                                           boolean checkTimestamp,
                                           boolean ignoreWarnings)
                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateRotation

          CfgValidationHolder validateRotation(CfgRotation rotation)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getRotation

          CfgRotationHolder getRotation(int siteID,
                                      int[] rotationIDArray,
                                      int sortMode,
                                      boolean ascending,
                                      int infoType,
                                      boolean provideActivityInfo)
                                        throws java.rmi.RemoteException

      Retrieves Rotating Pattern information (`CfgRotation` or `CfgRotationShort`) for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `rotationIDArray` - Rotating Pattern ID filter. Specify "null" retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.Rotation`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
        `provideActivityInfo` - Provide Activity info
      Returns:
        `CfgRotationHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getGlobalSettings

          CfgGlobalSettings getGlobalSettings()
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setGlobalSettings

          void setGlobalSettings(CfgGlobalSettings settings)
                                 throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### insertAccrualRule

          CfgValidationHolder insertAccrualRule(CfgAccrualRule accrualRule,
                                              boolean ignoreWarnings)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### updateAccrualRule

          CfgValidationHolder updateAccrualRule(CfgAccrualRule accrualRule,
                                              boolean checkTimestamp,
                                              boolean ignoreWarnings)
                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### validateAccrualRule

          CfgValidationHolder validateAccrualRule(CfgAccrualRule accrualRule)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAccrualRule

          CfgAccrualRuleHolder getAccrualRule(int siteID,
                                            int[] accrualRuleIDArray,
                                            int sortMode,
                                            boolean ascending,
                                            int infoType)
                                              throws java.rmi.RemoteException

      Retrieves Accrual Rule information (`CfgAccrualRule` or `CfgAccrualRuleShort`) for given Site
      Parameters:
        `siteID` - Site ID, identifies `CfgSite` object
        `accrualRuleIDArray` - Accrual Rule ID filter. Specify "null" retrieve all.
        `sortMode` - Sort Mode (`ECfgSortMode.AccrualRule`)
        `ascending` - Sort Order ("true" - ascending, "false" - descending)
        `infoType` - Requested details level (`ECfgInfoType`)
      Returns:
        `CfgAccrualRuleHolder`
      Throws:
        `java.rmi.RemoteException`

    - #### getPlanningPeriod

          CfgPlanningPeriodHolder getPlanningPeriod(int siteID,
                                                  double startDate,
                                                  double endDate)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.